Subject: Preventing PINE to use maildomains

From: [email-masked] (Peter Van Rossem)
Date: 11 Jun 1996 10:33:47 GMT

Greetings,

We are having some problems configuration PINE 3.93. Compilation works
fine, the problem is that PINE 3.93 automatically fills in maildomains
in the From: and Return-Path: headers, which is based on the hostname
and the domainname of the machine.
However, as our system serves users belonging to different maildomains 
(ulb.ac.be, vub.ac.be), we use sendmail to determine the From: and 
Return-Path: for a user; to archieve this, sendmail uses a special 
database which contains which user belongs to which domain.

I have tried to correct some things with the 2 definitions in the PINE 
configuration file which I believe are relevant:

# Sets domain part of From: and local addresses in outgoing mail.
user-domain=

# If "user-domain" not set, strips hostname in FROM address. (Unix only)
use-only-domain-name=

but setting these in the system's pine.conf file has no effect. With 
pine 3.93, I *can* override the maildomain by setting the "user-domain" 
to a specific value, but I can only define one, either vub.ac.be or 
ulb.ac.be, not both. Agreed, each user can define this for him/herself, 
but PINE uses this maildomain also when mailing to someone having an 
address on the same machine; if the user does not include the maildomain 
in the email address of his correspondent, PINE fills in the maildomain 
of the user sending the message. Again, the user can do something about
that by typing the full email address including the maildomain of course.

I also tried to install PINE 3.91, which has a slightly different way
of filling in the maildomain than in 3.93, but the hostname still gets 
included in the From: address if I do not define the "user-domain".

Is there any easy solution to prevent PINE using this kind of automatic 
maildomain determination without having to "patch" the PINE code itself? 
What I want in fact is that PINE leaves alone any addresses specified by
the user (To, From, Cc, ...), i.e. PINE does not have to resolve the email 
addresses but has to leave it to sendmail to fill those in. Is a patch 
available perhaps? Or did I overlook something? Thanks for any 
suggestions.

Regards,

Peter

========================================================================
Peter Van Rossem                                    <[email-masked]>
User Support Group
Brussels Free University Computing Centre         Phone: +32-2-650.37.71
Pleinlaan 2, B-1050 Brussels, Belgium
========================================================================